/**
 * Created by IntelliJ IDEA.
 * User: marick
 * Date: Apr 1, 2005
 * Time: 4:40:01 PM
 * To change this template use File | Settings | File Templates.
 */
package com.testingthought.humble.ui;

import junit.framework.TestCase;
import com.testingthought.humble.fixtures.mocks.MockInpatientView;
import com.testingthought.humble.fixtures.mocks.MockPatientDetailView;

public class ApplicationSetupTest extends TestCase {
    private Application app;

    protected void setUp() throws Exception {
        super.setUp();
        Application.forgetInstance();
        app = Application.getInstance();
    }

    public void testWiring() throws Exception {

        assertFalse(app.isReady());
        app.note(new MockInpatientView());
        assertFalse(app.isReady());
        app.note(new MockPatientDetailView());
        assertTrue(app.isReady());

        assertNotNull(app.getInpatientView());
        assertNotNull(app.getInpatientPresenter());
        assertNotNull(app.getPatientDetailView());
        assertNotNull(app.getPatientDetailPresenter());
    }

    public void testNoteOrderHasNoEffect() throws Exception {
        // different order than above.
        assertFalse(app.isReady());
        app.note(new MockPatientDetailView());
        assertFalse(app.isReady());
        app.note(new MockInpatientView());
        assertTrue(app.isReady());
    }

    public void testPresentersAvailableBeforeViews() throws Exception {
        assertNull(app.getPatientDetailView());
        assertNull(app.getInpatientView());

        assertNotNull(app.getPatientDetailPresenter());
        assertNotNull(app.getInpatientPresenter());

        assertEquals(0, app.getInpatientPresenter().getNumberOfCases());
    }
}


