package com.testingthought.humble.ui;


abstract public class InpatientView extends View {

    // From UI
    public void animalNameEntered(String animal) {
        myPresenter().animalNameEntered(animal);
    }

    public void ownerNameEntered(String ownerName) {
        myPresenter().ownerNameEntered(ownerName);
    }

    public void addCasePressed() {
        myPresenter().addCasePressed();
    }

    public int getNumberOfCases() {
        return myPresenter().getNumberOfCases();
    }

    public String getCaseSummary(int rowIndex) {
        return myPresenter().getCaseSummary(rowIndex);
    }

    public void clickedRow(int index) {
        myPresenter().selectCase(index);
    }

    // From presenter
    abstract public void highlightRow(int row);
    abstract public void refresh();
    public abstract void allowAddCase();
    public abstract void disallowAddCase();
    public abstract void emptyAnimalNameField();
    public abstract void emptyOwnerNameField();


    // Util
    private InpatientPresenter myPresenter() {
        return app().getInpatientPresenter();
    }

}
