package com.testingthought.humble.ui;

import junit.framework.TestCase;
import com.testingthought.humble.fixtures.mocks.MockInpatientView;
import com.testingthought.humble.fixtures.mocks.MockPatientDetailView;

// Utility class for UI JUnit tests
public class UITestCase extends TestCase {

    public void setUp() {
        Application.forgetInstance();
        app().note(new MockInpatientView());
        app().note(new MockPatientDetailView());
    }

    protected Application app() {
        return Application.getInstance();
    }

    protected MockInpatientView inpatientView() {
        return (MockInpatientView) app().getInpatientView();
    }

    protected InpatientPresenter inpatientPresenter() {
        return app().getInpatientPresenter();
    }

    protected MockPatientDetailView patientDetailView() {
        return (MockPatientDetailView) app().getPatientDetailView();
    }

    protected PatientDetailPresenter patientDetailPresenter() {
        return app().getPatientDetailPresenter();
    }

    public void testJUnit () throws Exception {
        // Runner wants every class to have a test.
    }
}
